#include <u.h>
#include <libc.h>

void
sysfatal(char *fmt, ...)
{
	char buf[256];
	va_list arg;

	va_start(arg, fmt);
	vseprint(buf, buf+sizeof buf, fmt, arg);
	va_end(arg);

	fprint(2, "%s; %s\n", argv0 ? argv0 : "<prog>", buf);
	exits("fatal");
}
